原创

HTML语句判断IE浏览器版本

版权声明:本文为博主原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://itmyhome.blog.csdn.net/article/details/88527822

在编写网页代码时,各种浏览器的兼容性是必须要考虑的问题,特别是IE内部各版本的区别,比如IE6,7,8,9等等

可以使用如下语句来进行判断:

<!--[if IE 9]><script>alert("IE9");</script><![endif]--> 

<!--[if IE 8]><script>alert("IE8");</script><![endif]-->

<!--[if lte IE 8]><script>alert("IE8及IE8以下版本浏览器");</script><![endif]-->

<!--[if gt IE 6]><script>alert("IE6以上版本浏览器(不含IE6)");</script><![endif]-->

<!-- 以上这些代码写法都是针对ie各版本浏览器的,在其他浏览器中这些代码都会被解释为
Html注释而直接无视掉,所以要想在Chrome之类的非ie浏览器,需要这么写: -->
<!--[if !IE]>
<!--><script>alert("非IE浏览器(不包括IE10及11)");</script><!-->
<![endif]-->

注:

  • lt:小于当前版本
  • lte:小于或等于当前版本,包括本身
  • gt:大于当前版本
  • gte:大于或等于当前版本,包括本身

作者:itmyhome

展开阅读全文

没有更多推荐了,返回首页